# WEB+DB PRESS Vol.85 連載「Perl Hackers Hub」第31回「Perlによる自然言語処理入門」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.85」の連載「Perl Hackers Hub」第31回「Perlによる自然言語処理入門」のサンプルコードです。

## add_rubytag.pl

簡易ルビ振りコマンドです。コマンド引数として渡されたテキストの漢字にHTMLのrubyタグによるルビ(ふりがな)を付加します。

### 必要なモジュール

- Encode
- Text::Mecab
- Lingua::JA::Regular::Unicode

### 実行方法

必要なモジュールをインストールしましたら、add_rubytab.plの5行目の`MECABRC`の値を実際の`mecabrc`ファイルのパスに書き換えて下さい。

    use constant MECABRC => './mecabrc';


そして、以下のように第１引数に日本語テキストを指定して実行します。

    $ ./add_rubytag.pl  Perlで自然言語処理入門
    Perlで<ruby>自然<rt>しぜん</ruby><ruby>言語<rt>げんご</ruby><ruby>処理<rt>しょり</ruby><ruby>入門<rt>にゅうもん</ruby>


  